aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/export.sh5
-rw-r--r--tests/nar-access.sh6
2 files changed, 11 insertions, 0 deletions
diff --git a/tests/export.sh b/tests/export.sh
index ec7560f19..2238539bc 100644
--- a/tests/export.sh
+++ b/tests/export.sh
@@ -8,6 +8,11 @@ nix-store --export $outPath > $TEST_ROOT/exp
nix-store --export $(nix-store -qR $outPath) > $TEST_ROOT/exp_all
+if nix-store --export $outPath >/dev/full ; then
+ echo "exporting to a bad file descriptor should fail"
+ exit 1
+fi
+
clearStore
diff --git a/tests/nar-access.sh b/tests/nar-access.sh
index bd849cbfa..553d6ca89 100644
--- a/tests/nar-access.sh
+++ b/tests/nar-access.sh
@@ -36,3 +36,9 @@ diff -u baz.cat-nar $storePath/foo/baz
# Test missing files.
nix ls-store --json -R $storePath/xyzzy 2>&1 | grep 'does not exist in NAR'
nix ls-store $storePath/xyzzy 2>&1 | grep 'does not exist'
+
+# Test failure to dump.
+if nix-store --dump $storePath >/dev/full ; then
+ echo "dumping to /dev/full should fail"
+ exit -1
+fi